%define major 0
%define libname %mklibname ytnef %{major}
%define develname %mklibname -d ytnef

Name:		ytnef
Version:	2.0
Release:	%mkrel 1
Epoch:		1
Summary:	Yerase's TNEF Stream Reader
License:	GPLv2+
Group:		System/Networking
Url:		https://github.com/Yeraze/ytnef/tree/master/ytnef
Source:		https://github.com/Yeraze/ytnef/archive/v%{version}/%{name}-%{version}.tar.gz

Requires:	perl-MIME-tools
Requires:	%{libname} = %{epoch}:%{version}

%description
Yerase's TNEF Stream Reader.  Can take a TNEF Stream (winmail.dat) sent from
Microsoft Outlook (or similar products) and extract the attachments, including
construction of Contact Cards & Calendar entries.

%package -n %{libname}
Summary: TNEF Stream Parser shared library
Group: System/Libraries

%description -n %{libname}
TNEF Stream Parser Library to decode TNEF (winmail.dat) streams
generated by Microsoft Outlook.

%package -n %{develname}
Summary: TNEF Stream Parser library
Group: Development/C
Requires: %{libname} = %{epoch}:%{version}
Provides: libytnef-devel = %{version}-%{release}

%description -n %{develname}
TNEF Stream Parser Library to decode TNEF (winmail.dat) streams
generated by Microsoft Outlook.

%prep
%setup -q

%build
#cd ytnef
NOCONFIGURE=1 ./autogen.sh
%configure
%make_build

%install
%make_install

%files
%doc COPYING README.md
%{_bindir}/ytnef
%{_bindir}/ytnefprint
%{_bindir}/ytnefprocess

%files -n %{libname}
%{_libdir}/libytnef.so.%{major}
%{_libdir}/libytnef.so.%{major}.*

%files -n %{develname}
%{_libdir}/libytnef.so
%{_libdir}/libytnef.a
%{_libdir}/pkgconfig/libytnef.pc
%{_includedir}/*.h


%changelog
* Thu Aug 11 2022 neoclust <neoclust> 1:2.0-1.mga9
+ Revision: 1876894
- New version 2.0
  It fixes: CVE-2021-3403 CVE-2021-3404 CVE-2017-9470 CVE-2017-9471 CVE-2017-9474 CVE-2017-9058 CVE-2017-12142 CVE-2017-12141 CVE-2017-12144

* Tue Mar 15 2022 umeabot <umeabot> 1:1.9.3-4.mga9
+ Revision: 1793926
- Mageia 9 Mass Rebuild

* Wed Mar 09 2022 mrambo3501 <mrambo3501> 1:1.9.3-3.mga9
+ Revision: 1790038
- fix files list

* Fri Feb 14 2020 umeabot <umeabot> 1:1.9.3-2.mga8
+ Revision: 1519317
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Oct 11 2018 bcornec <bcornec> 1:1.9.3-1.mga7
+ Revision: 1319422
- Update to ytnef upstream 1.9.3 to fix mga#23159

* Tue Jun 06 2017 bcornec <bcornec> 1:1.9.2-1.mga6
+ Revision: 1107127
- Fix ytnef version to match upstream's one
- Fix Security issue mga#20893

* Thu May 11 2017 bcornec <bcornec> 2.6-6.mga6
+ Revision: 1100146
- Updated to git e462cbe to fix mga#20299

* Mon Jan 18 2016 daviddavid <daviddavid> 2.6-5.mga6
+ Revision: 925296
- switch to %%configure2_5x to fix build
- pass NOCONFIGURE=1 to autogen
+ bcornec <bcornec>
- Fix an issue with html attachments removed from list

* Tue Oct 27 2015 bcornec <bcornec> 2.6-3.mga6
+ Revision: 895856
- Patch ytnefprocess.pl to have a more useful version (will submit upstream)

* Tue Oct 27 2015 bcornec <bcornec> 2.6-2.mga6
+ Revision: 895811
- Fix a hardcoded path in ytnefprocess.pl

* Tue Oct 27 2015 bcornec <bcornec> 2.6-1.mga6
+ Revision: 895699
- Update Group for ytnef
- import ytnef package version 2.6 (supersedes libytnef provided separately)
- Created package structure for ytnef.

